be.fgov.ehealth.standards.kmehr.schema.v1

## Class AddressType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.schema.v1.AddressTypeBase
  - - be.fgov.ehealth.standards.kmehr.schema.v1.AddressType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T02:59:18+02:00",
                 comments="JAXB RI v2.3.7")
      public class AddressType
      extends AddressTypeBase
      implements Serializable

  Java class for addressType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="addressType">
         <complexContent>
           <restriction base="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}addressTypeBase">
             <sequence>
               <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded" minOccurs="0"/>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-ADDRESS" maxOccurs="unbounded"/>
               <element name="country" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}countryType" minOccurs="0"/>
               <element name="zip" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="nis" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="city" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="district" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="street" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="housenumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="postboxnumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressType()`

  - ### Method Summary

    - ### Methods inherited from class be.fgov.ehealth.standards.kmehr.schema.v1.AddressTypeBase

      `getCds, getCity, getCountry, getDistrict, getHousenumber, getIds, getNis, getPostboxnumber, getStreet, getTexts, getZip, setCity, setCountry, setDistrict, setHousenumber, setNis, setPostboxnumber, setStreet, setZip`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressType

          public AddressType()

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.